FreeMat

- Main Page
- Related Pages

vtkOpenGLRepresentationPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This is OpenGL implementation of a painter handling representation i.e. Points, Wireframe, Surface.

To create an instance of class vtkOpenGLRepresentationPainter, simply invoke its constructor as follows

      obj = vtkOpenGLRepresentationPainter

# Methods

The class vtkOpenGLRepresentationPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLRepresentationPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLRepresentationPainter = obj.NewInstance ()`
- `vtkOpenGLRepresentationPainter = obj.SafeDownCast (vtkObject o)`
- `double = obj.GetTimeToDraw ()`